Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Synch_Refcountable Class Reference

Definition for a synchronised refcountable interface. More...

`#include <Synch_Refcountable.h>`

Inheritance diagram for TAO_Synch_Refcountable:

[legend]
Collaboration diagram for TAO_Synch_Refcountable:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Synch_Refcountable (void)
int | increment (void)
int | decrement (void)
int | refcount (void) const
## Protected Methods
| TAO_Synch_Refcountable (ACE_Lock *lock, int refcount)
## Protected Attributes
ACE_Lock * | refcount_lock_

## Detailed Description

Definition for a synchronised refcountable interface.

## Constructor & Destructor Documentation

TAO_Synch_Refcountable::~TAO_Synch_Refcountable | ( | void |  | ) | `[virtual]`

TAO_Synch_Refcountable::TAO_Synch_Refcountable | ( | ACE_Lock * | lock,
|  | int | refcount
| ) | `[protected]`

## Member Function Documentation

ACE_INLINE int TAO_Synch_Refcountable::decrement | ( | void |  | ) |

| Reimplemented from ACE_Refcountable.

ACE_INLINE int TAO_Synch_Refcountable::increment | ( | void |  | ) |

| Reimplemented from ACE_Refcountable.

ACE_INLINE int TAO_Synch_Refcountable::refcount | ( | void |  | ) | const

| Reimplemented from ACE_Refcountable.

## Member Data Documentation

ACE_Lock* TAO_Synch_Refcountable::refcount_lock_`[protected]`

The documentation for this class was generated from the following files:

- Synch_Refcountable.h
- Synch_Refcountable.cpp
- Synch_Refcountable.inl